#include <qapplication.h>
#include <qclipboard.h>
#include <qpushbutton.h>
#include <qthread.h>
#include <qevent.h>
#include <X11/Xlib.h>
#include <X11/extensions/XTest.h>
#include <qtextcodec.h>
#include <wctype.h>
#include <qtimer.h>
#include <qmutex.h>
#include <qmessagebox.h>

class myclass : public QObject
{
Q_OBJECT
public:
	myclass( QObject * parent = 0, const char * name = 0 );
	QClipboard *cb;
	bool altpressed;
private:
	QMimeSource *oldcbdata;
	QString oldcbtext;
	int step;
	QString selstr, convert( QString ), newstr;
	QMap<QChar, QChar> re, er;
public slots:
	void myslot();
protected:
	void timerEvent( QTimerEvent * );
};

class mythread : public QThread
{
public:
	QPushButton *b;
	myclass *myobj;
	void run();
};

